
// set the meshing algorithms as follows:
// Tools->Options->Mesh->General
// 2D algorithm = Delaunay
// 2D recombination algorithm = Standard
// deactivate "Recombine all triangular meshes" button

boxdim = 1;
nx = 100; // This number can be changed.
gridsize = boxdim/nx;

Point(1) = {0,0,0,gridsize};
Point(2) = {2*boxdim,0,0,gridsize};
Point(3) = {2*boxdim,boxdim,0,gridsize};
Point(4) = {0,boxdim,0,gridsize};

Point(5) = {0.5*boxdim,0,0,gridsize};
Point(6) = {0.5*boxdim,boxdim,0,gridsize};

Line(7) = {1,5};
Line(8) = {5,2};
Line(9) = {2,3};
Line(10) = {3,6};
Line(11) = {6,4};
Line(12) = {4,1};
Line(13) = {6,5};

Line Loop(14) = {7, -13, 11, 12};
Line Loop(15) = {8, 9, 10, 13};

Plane Surface(16) = {14};
Plane Surface(17) = {15};

Recombine Surface{16};
Recombine Surface{17};

Physical Line(71) = {7, 8} ;
Physical Line(72) = {9} ;
Physical Line(73) = {10, 11} ;
Physical Line(74) = {12} ;
Physical Surface(1) = {16, 17};
